-module(wsHer).

-include("eWSrv.hrl").

-callback init(Req :: elli:req(), Args :: callback_args()) -> {ok, standard | handover}.

-callback handle(Req :: elli:req(), callback_args()) -> result().

-callback handle_event(Event :: event(), Args :: callback_args(), Config :: [tuple()]) -> ok.

-callback preprocess(Req1 :: elli:req(), Args :: callback_args()) -> Req2 :: elli:req().

-callback postprocess(Req :: elli:req(), Res1 :: result(), Args :: callback_args()) -> Res2 :: result().

-optional_callbacks([
   init/2
   , preprocess/2
   , postprocess/3
]).
